## libblockdev 3.3.1

=== debian/changelog ===
libblockdev (3.3.1-1) unstable; urgency=medium

  * New upstream release
  * Rebase patches
  * Bump Standards-Version to 4.7.2

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Aug 2025 12:23:08 +0200

libblockdev (3.3.0-2.1) unstable; urgency=high

  * Non-maintainer upload by the Security Team.
  * dont allow suid and dev set on fs resize (CVE-2025-6019)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 09 Jun 2025 15:06:46 +0200
