=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs
export DEB_PYTHON_INSTALL_LAYOUT = deb

ifeq ($(shell dpkg-vendor --is Ubuntu && echo yes) $(DEB_HOST_ARCH), yes i386)
   BUILD_PACKAGES += -Nlibblockdev-mpath-dev -Nlibblockdev-mpath3 -Nlibblockdev-plugins-all
endif


%:
	dh $@ $(BUILD_PACKAGES)

override_dh_auto_configure:
	dh_auto_configure -- \
		--disable-tests \
		--without-smartmontools \
		--without-s390 \
		$(CONF_FLAGS)

execute_before_dh_install:
	find debian -name '*.la' -print -delete

override_dh_makeshlibs:
	dh_makeshlibs -- -c4
